"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetByProfileCommentResponseDto = exports.getByProfileCommentResponseSchema = void 0;
const account_dto_1 = require("../../account/dto/account.dto");
const comment_dto_1 = require("./comment.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = __importDefault(require("zod"));
exports.getByProfileCommentResponseSchema = zod_1.default.object({
    comments: zod_1.default.array(comment_dto_1.commentSchema.merge(zod_1.default.object({
        account: account_dto_1.accountSchema.pick({
            username: true,
        }),
    }))),
});
class GetByProfileCommentResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.getByProfileCommentResponseSchema) {
}
exports.GetByProfileCommentResponseDto = GetByProfileCommentResponseDto;
//# sourceMappingURL=get-by-profile-comment.dto.js.map