export declare const createTagGroupSchema: import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    color: import("zod").ZodString;
    isExclusive: import("zod").ZodBoolean;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "name" | "color" | "isExclusive">, "strip", import("zod").ZodTypeAny, {
    name: string;
    color: string;
    isExclusive: boolean;
}, {
    name: string;
    color: string;
    isExclusive: boolean;
}>;
declare const CreateTagGroupDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    name: import("zod").ZodString;
    color: import("zod").ZodString;
    isExclusive: import("zod").ZodBoolean;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    name: string;
    color: string;
    isExclusive: boolean;
}, {
    name: string;
    color: string;
    isExclusive: boolean;
}>>;
export declare class CreateTagGroupDto extends CreateTagGroupDto_base {
}
export declare const createTagGroupResponseSchema: import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    color: import("zod").ZodString;
    isExclusive: import("zod").ZodBoolean;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
    name: string;
    color: string;
    created_at: Date;
    updated_at: Date;
    isExclusive: boolean;
}, {
    id: string;
    name: string;
    color: string;
    created_at: Date;
    updated_at: Date;
    isExclusive: boolean;
}>;
declare const CreateTagGroupResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    color: import("zod").ZodString;
    isExclusive: import("zod").ZodBoolean;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    id: string;
    name: string;
    color: string;
    created_at: string;
    updated_at: string;
    isExclusive: boolean;
}, {
    id: string;
    name: string;
    color: string;
    created_at: string;
    updated_at: string;
    isExclusive: boolean;
}>>;
export declare class CreateTagGroupResponseDto extends CreateTagGroupResponseDto_base {
}
export {};
