"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindAllTagGroupResponseDto = exports.findAllTagGroupResponseSchema = void 0;
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_group_dto_1 = require("./tag-group.dto");
const tag_dto_1 = require("../../tag/dto/tag.dto");
const zod_1 = __importDefault(require("zod"));
exports.findAllTagGroupResponseSchema = zod_1.default.object({
    tagGroups: zod_1.default.array(tag_group_dto_1.tagGroupSchema.merge(zod_1.default.object({
        tags: zod_1.default.array(tag_dto_1.tagSchema),
    }))),
});
class FindAllTagGroupResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.findAllTagGroupResponseSchema) {
}
exports.FindAllTagGroupResponseDto = FindAllTagGroupResponseDto;
//# sourceMappingURL=find-all-tag-group.dto.js.map